<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_ewallet.mvvm.EWalletMainViewModel" />

        <variable
            name="click"
            type="com.hongyegroup.cpt_ewallet.ui.EWalletMainFragment.ClickProxy" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:id="@+id/easy_title_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_backLayoutState="gone"
            app:Easy_hasStatusPadding="true"
            app:Easy_lineState="gone"
            app:Easy_title="电子钱包"
            app:Easy_titleBarBackground="@color/app_blue"
            app:Easy_titleColor="@color/white" />

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/refreshLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:srlAccentColor="@android:color/white"
            app:srlEnablePreviewInEditMode="false"
            app:srlPrimaryColor="@color/app_blue">

            <com.scwang.smart.refresh.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <androidx.core.widget.NestedScrollView
                android:id="@+id/scrollView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:overScrollMode="never"
                android:scrollbars="none">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <FrameLayout
                            android:layout_width="0dp"
                            android:layout_height="0dp"
                            android:background="@color/app_blue"
                            android:gravity="center_horizontal"
                            android:orientation="vertical"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintDimensionRatio="H,750:360"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintRight_toRightOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:id="@+id/tv_money"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="@dimen/d_10dp"
                            android:text="￥93,026"
                            android:textColor="@color/white"
                            android:textSize="35sp"
                            app:layout_constraintBottom_toTopOf="@+id/ll_available"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintRight_toRightOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            app:layout_constraintVertical_chainStyle="packed" />

                        <!--银行卡可提现的-->
                        <LinearLayout
                            android:id="@+id/ll_giro"
                            android:layout_width="wrap_content"
                            android:layout_height="@dimen/d_30dp"
                            android:background="@drawable/shape_blance_top_item_bg"
                            android:gravity="center"
                            android:minWidth="135dp"
                            android:orientation="horizontal"
                            android:paddingLeft="@dimen/d_20dp"
                            android:paddingRight="@dimen/d_20dp"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintRight_toLeftOf="@+id/ll_available"
                            app:layout_constraintTop_toBottomOf="@+id/tv_money"
                            app:layout_constraintTop_toTopOf="@+id/ll_available">

                            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="提现金额:"
                                android:textColor="@color/white"
                                android:textSize="@dimen/d_13sp" />

                            <com.guadou.lib_baselib.font_text_view.TextViewBold
                                android:id="@+id/tv_giro"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/d_5dp"
                                android:ellipsize="end"
                                android:singleLine="true"
                                android:text="0.0"
                                android:textColor="#f3d774"
                                android:textSize="@dimen/d_15sp" />

                        </LinearLayout>

                        <!--可用的-->
                        <LinearLayout
                            android:id="@+id/ll_available"
                            android:layout_width="wrap_content"
                            android:layout_height="@dimen/d_30dp"
                            android:background="@drawable/shape_blance_top_item_bg"
                            android:gravity="center"
                            android:minWidth="135dp"
                            android:orientation="horizontal"
                            android:paddingLeft="@dimen/d_20dp"
                            android:paddingRight="@dimen/d_20dp"
                            app:layout_constraintBottom_toTopOf="@+id/iv_bolang"
                            app:layout_constraintLeft_toRightOf="@+id/ll_giro"
                            app:layout_constraintRight_toRightOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/tv_money">

                            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="可用余额:"
                                android:textColor="@color/white"
                                android:textSize="@dimen/d_13sp" />

                            <com.guadou.lib_baselib.font_text_view.TextViewBold
                                android:id="@+id/tv_available"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/d_5dp"
                                android:ellipsize="end"
                                android:singleLine="true"
                                android:text="0.0"
                                android:textColor="#f3d774"
                                android:textSize="@dimen/d_15sp" />

                        </LinearLayout>

                        <ImageView
                            android:id="@+id/iv_bolang"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:scaleType="centerCrop"
                            android:src="@drawable/iv_balance_bo_lang"
                            app:layout_constraintBottom_toBottomOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">


                        <LinearLayout
                            style="@style/SelectableItemBackground"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:orientation="vertical"
                            binding:clicks="@{click.gotoWithdrawalPage}">

                            <ImageView
                                android:layout_width="@dimen/d_35dp"
                                android:layout_height="@dimen/d_35dp"
                                android:src="@drawable/wallet_withdrawn_icon" />

                            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/d_5dp"
                                android:text="提现"
                                android:textColor="@color/gray_76"
                                android:textSize="@dimen/d_13sp" />

                        </LinearLayout>

                        <View
                            android:layout_width="@dimen/d_1dp"
                            android:layout_height="match_parent"
                            android:layout_marginTop="@dimen/d_5dp"
                            android:layout_marginBottom="@dimen/d_5dp"
                            android:background="@color/divider_color" />

                        <LinearLayout
                            style="@style/SelectableItemBackground"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:orientation="vertical"
                            binding:clicks="@{click.gotoAppointmentPage}">

                            <ImageView
                                android:layout_width="@dimen/d_35dp"
                                android:layout_height="@dimen/d_35dp"
                                android:src="@drawable/wallet_appointments_icon" />

                            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/d_5dp"
                                android:text="提现预约记录"
                                android:textColor="@color/gray_76"
                                android:textSize="@dimen/d_13sp" />

                        </LinearLayout>

                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_10dp"
                        android:layout_marginTop="@dimen/d_13dp"
                        android:background="@color/page_bg" />


                    <LinearLayout
                        style="@style/SelectableItemBackground"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_60dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingLeft="@dimen/d_18dp"
                        android:paddingRight="@dimen/d_18dp"
                        binding:clicks="@{click.gotoSetPsdPage}">

                        <ImageView
                            android:layout_width="@dimen/d_26dp"
                            android:layout_height="@dimen/d_26dp"
                            android:src="@drawable/wallet_password_icon" />

                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_8dp"
                            android:text="支付密码设置"
                            android:textColor="@color/gray_76"
                            android:textSize="@dimen/d_15sp" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/more_gray_icon" />

                    </LinearLayout>

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="0.7dp"
                        android:layout_marginLeft="@dimen/d_15dp"
                        android:layout_marginRight="@dimen/d_15dp"
                        android:src="@color/page_bg" />


                    <LinearLayout
                        style="@style/SelectableItemBackground"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_60dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingLeft="@dimen/d_18dp"
                        android:paddingRight="@dimen/d_18dp"
                        binding:clicks="@{click.gotoEWalletHistoryPage}">

                        <ImageView
                            android:layout_width="@dimen/d_25dp"
                            android:layout_height="@dimen/d_25dp"
                            android:src="@drawable/wallet_history_icon" />

                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_8dp"
                            android:text="电子钱包交易记录"
                            android:textColor="@color/gray_76"
                            android:textSize="@dimen/d_15sp" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/more_gray_icon" />

                    </LinearLayout>

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="0.7dp"
                        android:layout_marginLeft="@dimen/d_15dp"
                        android:layout_marginRight="@dimen/d_15dp"
                        android:src="@color/page_bg" />

                    <LinearLayout
                        style="@style/SelectableItemBackground"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_60dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingLeft="@dimen/d_18dp"
                        android:paddingRight="@dimen/d_18dp"
                        binding:clicks="@{click.gotoEWalletInviocePage}">

                        <ImageView
                            android:layout_width="@dimen/d_25dp"
                            android:layout_height="@dimen/d_25dp"
                            android:src="@drawable/wallet_invoice_icon" />

                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_8dp"
                            android:text="我的工作发票"
                            android:textColor="@color/gray_76"
                            android:textSize="@dimen/d_15sp" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/more_gray_icon" />

                    </LinearLayout>

                    <com.guadou.lib_baselib.font_text_view.TextViewBold
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_10dp"
                        android:drawableRight="@drawable/wallet_recent_more"
                        android:paddingLeft="@dimen/d_16dp"
                        android:paddingRight="@dimen/d_16dp"
                        android:text="最近交易记录"
                        android:textColor="@color/notify_dark_blue"
                        android:textSize="@dimen/d_18sp" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_history"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:overScrollMode="never"
                        android:scrollbars="none" />

                </LinearLayout>

            </androidx.core.widget.NestedScrollView>

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    </LinearLayout>

</layout>
